# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Enum GmPublishingPriority.Value

    java.lang.Object
      java.lang.Enum<GmPublishingPriority.Value>
          com.google.api.gbase.client.GmPublishingPriority.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GmPublishingPriority.Value>

Enclosing class:
  GmPublishingPriority

    public static enum GmPublishingPriority.Value

extends java.lang.Enum<GmPublishingPriority.Value>

Possible values for the indexing element.

Enum Constant Summary
`HIGH` The item has a high priority for getting published.
`LOW` The item has a low priority for getting published.

Method Summary
`static GmPublishingPriority.Value` `getByText(java.lang.String textValue)` Returns the priority value based on the `textValue` parameter, or `null` if no such value exists.
`java.lang.String` `getTextValue()` Returns the text value, as represented in the entry.
`static GmPublishingPriority.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GmPublishingPriority.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGH

    public static final GmPublishingPriority.Value HIGH

  The item has a high priority for getting published. Using this value should result in the item getting published (available for search) in a very short time (less than a minute, most of the time).

### LOW

    public static final GmPublishingPriority.Value LOW

  The item has a low priority for getting published. Using this value should result in the item getting published (available for search) in less than a day.

Method Detail

### values

    public static GmPublishingPriority.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GmPublishingPriority.Value c : GmPublishingPriority.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GmPublishingPriority.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTextValue

    public java.lang.String getTextValue()

  Returns the text value, as represented in the entry.

### getByText

    public static GmPublishingPriority.Value getByText(java.lang.String textValue)

  Returns the priority value based on the `textValue` parameter, or `null` if no such value exists.

  Parameters:
    `textValue` - text representation of the value
  Returns:
    the priority value, or `null` if not found